Skip to main content

Retrieve Merchant Balances at the end of the specified date

GET 

/pix/entities/{entity-id}/closing-balances/{report-date}

Retrieves a merchant's balances from all PIX providers at the end of the specified date.

Request

Path Parameters

    entity-id stringrequired

    Possible values: <= 50 characters

    report-date daterequired

Responses

OK

Schema

    balances

    object[]

  • Array [

  • provider Provider (string)required

    Possible values: [P1, P2, P3, P4, P5, P6]

    accountId AccountId (string)
    amount Amount (number)
    currency Currency (string)

    Possible values: >= 3 characters and <= 3 characters

    Default value: BRL
    lastUpdated date-time
    status BaseResultStatus (string)required

    Status of the request: success | error

    Possible values: [success, error]

    errors

    object

    If an error occurred on the request side, an error code is returned in this parameter.

    code stringrequired

    If an error occurred on the request side, an error code is returned in this parameter.

    Possible values: <= 11 characters

    Example: 7000.1000
    reason string

    If an error occurred on the request side, then an error reason is returned in this parameter.

    Possible values: <= 400 characters

    Example: Internal Processing Error
    reference string

    Reference value for troubleshooting

    Possible values: <= 400 characters

    Example: 110.1260
  • ]

  • result

    object

    required

    status BaseResultStatus (string)required

    Status of the request: success | error

    Possible values: [success, error]

    errors

    object

    If an error occurred on the request side, an error code is returned in this parameter.

    code stringrequired

    If an error occurred on the request side, an error code is returned in this parameter.

    Possible values: <= 11 characters

    Example: 7000.1000
    reason string

    If an error occurred on the request side, then an error reason is returned in this parameter.

    Possible values: <= 400 characters

    Example: Internal Processing Error
    reference string

    Reference value for troubleshooting

    Possible values: <= 400 characters

    Example: 110.1260
Loading...